# 5. API Reference | UFMODEventControlSection

This documentation is preliminary and is subject to change.

This class inherits from UMovieSceneSection.

Defines:

- EFMODEventControlKey
- FFMODEventControlChannel

Properties:

- FFMODEventControlSection::ControlKeys

Methods:

- FFMODEventControlSection::GenerateTemplate
- FFMODEventControlSection::AssignValue
- FFMODEventControlSection::EvaluateChannel